Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.sns.model
Class GetTopicAttributesResult

    java.lang.Object
      com.amazonaws.services.sns.model.GetTopicAttributesResult

    public class GetTopicAttributesResult

extends Object

Get Topic Attributes Result

Constructor Summary
`GetTopicAttributesResult()`

Method Summary
`Map<String,String>` | `getAttributes()` A map of the topic's attributes.
`void` | `setAttributes(Map<String,String> attributes)` A map of the topic's attributes.
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetTopicAttributesResult` | `withAttributes(Map<String,String> attributes)` A map of the topic's attributes.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GetTopicAttributesResult

    public GetTopicAttributesResult()

Method Detail

### getAttributes

    public Map<String,String> getAttributes()

  A map of the topic's attributes. Attributes in this map include the following:
  - TopicArn -- the topic's ARN
  - Owner -- the AWS account ID of the topic's owner
  - Policy -- the JSON serialization of the topic's access control policy
  - DisplayName -- the human-readable name used in the "From" field for notifications to email and email-json endpoints

  Returns:
    A map of the topic's attributes. Attributes in this map include the following:
    - TopicArn -- the topic's ARN
    - Owner -- the AWS account ID of the topic's owner
    - Policy -- the JSON serialization of the topic's access control policy
    - DisplayName -- the human-readable name used in the "From" field for notifications to email and email-json endpoints

### setAttributes

    public void setAttributes(Map<String,String> attributes)

  A map of the topic's attributes. Attributes in this map include the following:
  - TopicArn -- the topic's ARN
  - Owner -- the AWS account ID of the topic's owner
  - Policy -- the JSON serialization of the topic's access control policy
  - DisplayName -- the human-readable name used in the "From" field for notifications to email and email-json endpoints

  Parameters:
    `attributes` - A map of the topic's attributes. Attributes in this map include the following:
    - TopicArn -- the topic's ARN
    - Owner -- the AWS account ID of the topic's owner
    - Policy -- the JSON serialization of the topic's access control policy
    - DisplayName -- the human-readable name used in the "From" field for notifications to email and email-json endpoints

### withAttributes

    public GetTopicAttributesResult withAttributes(Map<String,String> attributes)

  A map of the topic's attributes. Attributes in this map include the following:
  - TopicArn -- the topic's ARN
  - Owner -- the AWS account ID of the topic's owner
  - Policy -- the JSON serialization of the topic's access control policy
  - DisplayName -- the human-readable name used in the "From" field for notifications to email and email-json endpoints

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `attributes` - A map of the topic's attributes. Attributes in this map include the following:
    - TopicArn -- the topic's ARN
    - Owner -- the AWS account ID of the topic's owner
    - Policy -- the JSON serialization of the topic's access control policy
    - DisplayName -- the human-readable name used in the "From" field for notifications to email and email-json endpoints
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.